{
  "name": "vue-project",
  "version": "0.2.4",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --host --mode development --port 3000",
    "dev:test": "vite --host --mode test --port 4000",
    "dev:pro": "vite --host --mode production --port 5000",
    "build:dev": "vite build --mode development",
    "build:test": "vite build --mode test",
    "build": "vite build",
    "bump": "npm version patch -m \"feat: new version published: v%s\"",
    "release": "node scripts/release.js",
    "changelog": "npx conventional-changelog -p angular -i CHANGELOG.md -s",
    "changelog:all": "npx conventional-changelog -p angular -i CHANGELOG.md -s -r 0",
    "deploy:test": "npm-run-all build:test run:deploy",
    "run:deploy": "pwsh -ExecutionPolicy Bypass -File scripts/deploy.ps1",
    "preview": "vite preview",
    "type-check": "vue-tsc --build",
    "lint": "eslint . --fix",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@types/lodash-es": "^4.17.12",
    "@vueuse/components": "^13.5.0",
    "@vueuse/core": "^13.5.0",
    "ant-design-vue": "~4.2.6",
    "axios": "^1.10.0",
    "dayjs": "^1.11.13",
    "echarts": "^5.6.0",
    "lodash-es": "^4.17.21",
    "mqtt": "^5.13.1",
    "nanoid": "^5.1.5",
    "pinia": "^3.0.3",
    "pinia-plugin-persistedstate": "^4.4.1",
    "pinyin-pro": "^3.26.0",
    "vue": "^3.5.17",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@tsconfig/node22": "^22.0.2",
    "@types/echarts": "^5.0.0",
    "@types/mqtt": "^2.5.0",
    "@types/node": "^22.15.32",
    "@vitejs/plugin-vue": "^6.0.0",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.5.1",
    "@vue/tsconfig": "^0.7.0",
    "conventional-changelog-cli": "^5.0.0",
    "eslint": "^9.29.0",
    "eslint-import-resolver-alias": "^1.1.2",
    "eslint-plugin-import": "^2.32.0",
    "eslint-plugin-prettier": "^5.5.1",
    "eslint-plugin-vue": "~10.2.0",
    "inquirer": "^12.9.1",
    "jiti": "^2.4.2",
    "less": "^4.3.0",
    "npm-run-all": "^4.1.5",
    "npm-run-all2": "^8.0.4",
    "prettier": "3.5.3",
    "typescript": "~5.8.0",
    "unplugin-vue-components": "^28.8.0",
    "vite": "^7.0.0",
    "vite-plugin-vue-devtools": "^7.7.7",
    "vue-tsc": "^2.2.10"
  }
}
